//
//  SmartclipSDKiOSCreator.h
//  SmartclipSDKiOS
//
//  Copyright © 2021 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class SCSimpleAdController, SCVMAPAdController;
/**
 Helper functions for easy access of certain controller classes
 */
@interface SmartclipSDKiOSCreator : NSObject
///Create a simple ad controller (used for standalone player)
+ (SCSimpleAdController* _Nonnull)createSmartclipSDKForStandalonePlayer;
///Create an ad controller for VMAP (playlist playback)
+ (SCVMAPAdController* _Nonnull)createSmartclipSDKForVMAPPlayer;
@end

NS_ASSUME_NONNULL_END
